curl https://api.bouncy.ai/v1/account/profile \
-H "Authorization: Bearer bcy_live_pk_YOUR_API_KEY"
const response = await fetch(
'https://api.bouncy.ai/v1/account/profile',
{
headers: {
'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'
}
}
);
const profile = await response.json();
console.log(`Plan: ${profile.plan}`);
console.log(`Links: ${profile.currentLinks}/${profile.maxLinks}`);
import requests
response = requests.get(
'https://api.bouncy.ai/v1/account/profile',
headers={'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'}
)
profile = response.json()
print(f"Plan: {profile['plan']}")
print(f"Links: {profile['currentLinks']}/{profile['maxLinks']}")
{
"email": "user@example.com",
"displayName": "John Doe",
"plan": "growth",
"planStatus": "active",
"currentLinks": 245,
"maxLinks": 1000,
"customDomains": [
{
"domain": "go.example.com",
"verified": true,
"isDefault": true
},
{
"domain": "link.example.com",
"verified": false,
"isDefault": false
}
],
"createdAt": "2025-06-15T10:00:00Z"
}
Account
Get Account Profile
Retrieve your account information and plan details
GET
/
v1
/
account
/
profile
curl https://api.bouncy.ai/v1/account/profile \
-H "Authorization: Bearer bcy_live_pk_YOUR_API_KEY"
const response = await fetch(
'https://api.bouncy.ai/v1/account/profile',
{
headers: {
'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'
}
}
);
const profile = await response.json();
console.log(`Plan: ${profile.plan}`);
console.log(`Links: ${profile.currentLinks}/${profile.maxLinks}`);
import requests
response = requests.get(
'https://api.bouncy.ai/v1/account/profile',
headers={'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'}
)
profile = response.json()
print(f"Plan: {profile['plan']}")
print(f"Links: {profile['currentLinks']}/{profile['maxLinks']}")
{
"email": "user@example.com",
"displayName": "John Doe",
"plan": "growth",
"planStatus": "active",
"currentLinks": 245,
"maxLinks": 1000,
"customDomains": [
{
"domain": "go.example.com",
"verified": true,
"isDefault": true
},
{
"domain": "link.example.com",
"verified": false,
"isDefault": false
}
],
"createdAt": "2025-06-15T10:00:00Z"
}
Request
Headers
Response
curl https://api.bouncy.ai/v1/account/profile \
-H "Authorization: Bearer bcy_live_pk_YOUR_API_KEY"
const response = await fetch(
'https://api.bouncy.ai/v1/account/profile',
{
headers: {
'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'
}
}
);
const profile = await response.json();
console.log(`Plan: ${profile.plan}`);
console.log(`Links: ${profile.currentLinks}/${profile.maxLinks}`);
import requests
response = requests.get(
'https://api.bouncy.ai/v1/account/profile',
headers={'Authorization': 'Bearer bcy_live_pk_YOUR_API_KEY'}
)
profile = response.json()
print(f"Plan: {profile['plan']}")
print(f"Links: {profile['currentLinks']}/{profile['maxLinks']}")
{
"email": "user@example.com",
"displayName": "John Doe",
"plan": "growth",
"planStatus": "active",
"currentLinks": 245,
"maxLinks": 1000,
"customDomains": [
{
"domain": "go.example.com",
"verified": true,
"isDefault": true
},
{
"domain": "link.example.com",
"verified": false,
"isDefault": false
}
],
"createdAt": "2025-06-15T10:00:00Z"
}